gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Layout.Alignment

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A widget which controls the alignment and size of its child

Synopsis

- data Alignment
- class BinClass o => AlignmentClass o
- castToAlignment :: GObjectClass obj => obj -> Alignment
- gTypeAlignment :: GType
- toAlignment :: AlignmentClass o => o -> Alignment
- alignmentNew :: Float -> Float -> Float -> Float -> IO Alignment
- alignmentSet :: AlignmentClass self => self -> Float -> Float -> Float -> Float -> IO ()
- alignmentSetPadding :: AlignmentClass self => self -> Int -> Int -> Int -> Int -> IO ()
- alignmentGetPadding :: AlignmentClass self => self -> IO (Int, Int, Int, Int)
- alignmentXAlign :: AlignmentClass self => Attr self Float
- alignmentYAlign :: AlignmentClass self => Attr self Float
- alignmentXScale :: AlignmentClass self => Attr self Float
- alignmentYScale :: AlignmentClass self => Attr self Float
- alignmentTopPadding :: AlignmentClass self => Attr self Int
- alignmentBottomPadding :: AlignmentClass self => Attr self Int
- alignmentLeftPadding :: AlignmentClass self => Attr self Int
- alignmentRightPadding :: AlignmentClass self => Attr self Int

# Detail

The `Alignment` widget controls the alignment and size of its child widget. It has four settings: xscale, yscale, xalign, and yalign.

The scale settings are used to specify how much the child widget should expand to fill the space allocated to the `Alignment`. The values can range from 0 (meaning the child doesn't expand at all) to 1 (meaning the child expands to fill all of the available space).

The align settings are used to place the child widget within the available area. The values range from 0 (top or left) to 1 (bottom or right). Of course, if the scale settings are both set to 1, the alignment settings have no effect.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Alignment

# Types

data Alignment

Instances

Eq Alignment |
Ord Alignment |
GObjectClass Alignment |
AlignmentClass Alignment |
BinClass Alignment |
ContainerClass Alignment |
WidgetClass Alignment |
ObjectClass Alignment |

class BinClass o => AlignmentClass o

Instances

AlignmentClass Alignment |

castToAlignment :: GObjectClass obj => obj -> Alignment

gTypeAlignment :: GType

toAlignment :: AlignmentClass o => o -> Alignment

# Constructors

alignmentNew

Arguments

:: Float | `xalign` - the horizontal alignment of the child widget, from 0 (left) to 1 (right).
-> Float | `yalign` - the vertical alignment of the child widget, from 0 (top) to 1 (bottom).
-> Float | `xscale` - the amount that the child widget expands horizontally to fill up unused space, from 0 to 1. A value of 0 indicates that the child widget should never expand. A value of 1 indicates that the child widget will expand to fill all of the space allocated for the `Alignment`.
-> Float | `yscale` - the amount that the child widget expands vertically to fill up unused space, from 0 to 1. The values are similar to `xscale`.
-> IO Alignment |

Creates a new `Alignment`.

# Methods

alignmentSet

Arguments

:: AlignmentClass self |
=> self |
-> Float | `xalign` - the horizontal alignment of the child widget, from 0 (left) to 1 (right).
-> Float | `yalign` - the vertical alignment of the child widget, from 0 (top) to 1 (bottom).
-> Float | `xscale` - the amount that the child widget expands horizontally to fill up unused space, from 0 to 1. A value of 0 indicates that the child widget should never expand. A value of 1 indicates that the child widget will expand to fill all of the space allocated for the `Alignment`.
-> Float | `yscale` - the amount that the child widget expands vertically to fill up unused space, from 0 to 1. The values are similar to `xscale`.
-> IO () |

Sets the `Alignment` values.

alignmentSetPadding

Arguments

:: AlignmentClass self |
=> self |
-> Int | `paddingTop` - the padding at the top of the widget
-> Int | `paddingBottom` - the padding at the bottom of the widget
-> Int | `paddingLeft` - the padding at the left of the widget
-> Int | `paddingRight` - the padding at the right of the widget.
-> IO () |

Sets the padding on the different sides of the widget. The padding adds blank space to the sides of the widget. For instance, this can be used to indent the child widget towards the right by adding padding on the left.

- Available since Gtk+ version 2.4

alignmentGetPadding

Arguments

:: AlignmentClass self |
=> self |
-> IO (Int, Int, Int, Int) | `(paddingTop, paddingBottom, paddingLeft, paddingRight)` - the padding at the top, bottom, left and right of the widget.

Gets the padding on the different sides of the widget. See `alignmentSetPadding`.

- Available since Gtk+ version 2.4

# Attributes

alignmentXAlign :: AlignmentClass self => Attr self Float

Horizontal position of child in available space. 0.0 is left aligned, 1.0 is right aligned.

Allowed values: [0,1]

Default value: 0.5

alignmentYAlign :: AlignmentClass self => Attr self Float

Vertical position of child in available space. 0.0 is top aligned, 1.0 is bottom aligned.

Allowed values: [0,1]

Default value: 0.5

alignmentXScale :: AlignmentClass self => Attr self Float

If available horizontal space is bigger than needed for the child, how much of it to use for the child. 0.0 means none, 1.0 means all.

Allowed values: [0,1]

Default value: 1

alignmentYScale :: AlignmentClass self => Attr self Float

If available vertical space is bigger than needed for the child, how much of it to use for the child. 0.0 means none, 1.0 means all.

Allowed values: [0,1]

Default value: 1

alignmentTopPadding :: AlignmentClass self => Attr self Int

The padding to insert at the top of the widget.

Allowed values: <= `(`maxBound` :: Int)`

Default value: 0

alignmentBottomPadding :: AlignmentClass self => Attr self Int

The padding to insert at the bottom of the widget.

Allowed values: <= `(`maxBound` :: Int)`

Default value: 0

alignmentLeftPadding :: AlignmentClass self => Attr self Int

The padding to insert at the left of the widget.

Allowed values: <= `(`maxBound` :: Int)`

Default value: 0

alignmentRightPadding :: AlignmentClass self => Attr self Int

The padding to insert at the right of the widget.

Allowed values: <= `(`maxBound` :: Int)`

Default value: 0